ColognePhonetic.CologneInputBuffer (Encode/Decode Utilities (Version 1.10-SNAPSHOT))
Date: 2015-09-13

org.apache.commons.codec.language

## Class ColognePhonetic.CologneInputBuffer

- java.lang.Object
- - org.apache.commons.codec.language.ColognePhonetic.CologneBuffer
  - - org.apache.commons.codec.language.ColognePhonetic.CologneInputBuffer

- Enclosing class:
    ColognePhonetic

      private class ColognePhonetic.CologneInputBuffer
      extends ColognePhonetic.CologneBuffer

- - ### Field Summary

    - ### Fields inherited from class org.apache.commons.codec.language.ColognePhonetic.CologneBuffer

      `data, length`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColognePhonetic.CologneInputBuffer(char[] data)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addLeft(char ch)`
    `protected char[]` | `copyData(int start, int length)`
    `char` | `getNextChar()`
    `protected int` | `getNextPos()`
    `char` | `removeNext()`

    - ### Methods inherited from class org.apache.commons.codec.language.ColognePhonetic.CologneBuffer

      `length, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ColognePhonetic.CologneInputBuffer

          public ColognePhonetic.CologneInputBuffer(char[] data)

  - ### Method Detail

    - #### addLeft

          public void addLeft(char ch)

    - #### copyData

          protected char[] copyData(int start,
                        int length)

      Specified by:
        `copyData` in class `ColognePhonetic.CologneBuffer`

    - #### getNextChar

          public char getNextChar()

    - #### getNextPos

          protected int getNextPos()

    - #### removeNext

          public char removeNext()

commons-codec version 1.10-SNAPSHOT - Copyright © 2002-2015 - Apache Software Foundation